Package org.linphone.core

# Interface AccountListener

All Known Implementing Classes:
  `AccountListenerStub`

public interface AccountListener
An object to handle the callbacks for the handling of `Account` objects.

## Method Summary

Modifier and Type
Method
Description
`void`
`onConferenceInformationUpdated(Account account, ConferenceInfo[] infos)`
Callback for notifying that the conference information list of an account has
been updated.
`void`
`onMessageWaitingIndicationChanged(Account account, MessageWaitingIndication mwi)`
Callback for notifying a message waiting indication change for the account.
`void`
`onRegistrationStateChanged(Account account, RegistrationState state, String message)`
Callback for notifying when a registration state has changed for the account.

## Method Details

### onRegistrationStateChanged

void onRegistrationStateChanged(@NonNull Account account, RegistrationState state, @NonNull String message)
Callback for notifying when a registration state has changed for the account.

Parameters:
  `account` - LinphoneAccount object whose registration state changed.
  `state` - The current LinphoneRegistrationState.
  `message` - A non null informational message about the state.

### onMessageWaitingIndicationChanged

void onMessageWaitingIndicationChanged(@NonNull Account account, @NonNull MessageWaitingIndication mwi)
Callback for notifying a message waiting indication change for the account.

Parameters:
  `account` - LinphoneAccount object whose message waiting indication changed.
  `mwi` - The current LinphoneMessageWaitingIndication.

### onConferenceInformationUpdated

void onConferenceInformationUpdated(@NonNull Account account, @NonNull ConferenceInfo[] infos)
Callback for notifying that the conference information list of an account has
been updated.
This is generally the case when retrieving conference informations from a CCMP
server as the request might take a little bit of time to be responded. In order
to allow the core to perform its tasks while the conference information are
being sent, the core will send first the list of conference information that
are locally stored and then this callback is called once it is updated with the
information received by the CCMP server.

Parameters:
  `account` - `Account` object whose message waiting indication changed.
  `infos` - The updated list of conference informations